Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040361
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-03-12 15:572019-03-21 18:05
ReporterpsanjuanView Statuspublic 
Assigned Toasiermartirena 
PriorityurgentResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision9fd763c8ef59
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version7.x
OS VersionOpenbravo Appliance 14.04Database version9.3.xAnt version1.9.x
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040361: Sales Invoice "Prepayment Amount" field is not properly filled in case of invoicing a prepaid POS order.

DescriptionSales Invoice "Prepayment Amount" field is not properly filled in case of invoicing a prepaid POS order.
Steps To ReproduceSetup Channel-Touchpoint Type as:
- Generate Invoice for Orders = Yes
- Group orders in one invoice = No
- Allow prepayments and partial payments = Yes

In Web POS create a new sale for Arturo Montoro. Make sure it is select as Invoice = Yes.
Enter 1 unit of product Avalanche Transceiver. Check that total sales is 150.50.
Prepay only 50.00. Enter approval credentials and approve.

Go to Openbravo backoffice and verify that no prepayment information is shown in the field Prepayment Amount of the corresponding sales invoice. See image attached.

Same applies to any other scenario in which an order (ticket) is prepaid in Web POS, and the corresponding invoice is created.


Proposed SolutionPrepayment Amount field needs to show order prepaid amount in the corresponding invoice.
TagsNo tags attached.
Attached Filesjpg file icon Issue_40361.jpg [^] (81,012 bytes) 2019-03-12 16:00

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110425)
hgbot (developer)
2019-03-14 09:15

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 9fd763c8ef5926a0f37d080fd1af7237413c14c3
Author: Asier Martirena <asier.martirena <at> openbravo.com>
Date: Tue Mar 12 16:57:47 2019 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9fd763c8ef5926a0f37d080fd1af7237413c14c3 [^]

Fixed issue 40361: Set the prepayment to the POS Invoices

---
M src/org/openbravo/retail/posterminal/utility/InvoiceUtils.java
---
(0110555)
jorge-garcia (developer)
2019-03-21 18:05

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-03-12 15:57 psanjuan New Issue
2019-03-12 15:57 psanjuan Assigned To => Retail
2019-03-12 15:57 psanjuan Triggers an Emergency Pack => No
2019-03-12 15:59 psanjuan Steps to Reproduce Updated View Revisions
2019-03-12 15:59 psanjuan Proposed Solution updated
2019-03-12 16:00 psanjuan File Added: Issue_40361.jpg
2019-03-12 16:16 psanjuan Summary Sales Invoice "prepayment amount" is not filled in case a POS order is prepaid. => Sales Invoice "Prepayment Amount" field is not properly filled in case of invoicing a prepaid POS order.
2019-03-12 16:16 psanjuan Description Updated View Revisions
2019-03-12 17:02 asiermartirena Assigned To Retail => asiermartirena
2019-03-14 09:15 hgbot Checkin
2019-03-14 09:15 hgbot Note Added: 0110425
2019-03-14 09:15 hgbot Status new => resolved
2019-03-14 09:15 hgbot Resolution open => fixed
2019-03-14 09:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/9fd763c8ef5926a0f37d080fd1af7237413c14c3 [^]
2019-03-21 16:32 jorge-garcia Review Assigned To => jorge-garcia
2019-03-21 18:05 jorge-garcia Note Added: 0110555
2019-03-21 18:05 jorge-garcia Status resolved => closed
2019-03-21 18:05 jorge-garcia Fixed in Version => RR19Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker